/*
 * Particle System plug-in
 */

#ifndef PPPRTCLSSKY_H
#define PPPRTCLSSKY_H

#include <rwcore.h>
#include <rpworld.h>

#define COLSCALE (((RwReal)0.5))

extern long mynulltransform __attribute__ ((section(".vudata")));
extern long particles __attribute__ ((section(".vudata")));
extern long particlescull __attribute__ ((section(".vudata")));

extern RwInt32      GParticlesAtomicDataOffset;

extern RwBool _rpParticlesSetupPipes(void);
extern RwBool _rpParticlesDestroyPipes(void);
extern RwBool _rpParticleExtendGeom(void);
extern RpAtomic *_rpParticleAddGeomData(RpAtomic *atomic, RwInt32 numParticles);

#endif /* PPPRTCLSSKY_H */

